# Filter private provides:
# perl(yaml_mapping) perl(yaml_scalar) perl(yaml_sequence)
%global __provides_exclude ^perl\\(yaml_

# for test
%bcond_with perl_YAML_enables_test
# for extra test
%bcond_with perl_YAML_enables_extra_test

Name:           perl-YAML
Version:        1.26
Release:        6
Summary:        It Ain't Markup Language (tm)
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/YAML
Source0:        https://cpan.metacpan.org/authors/id/T/TI/TINITA/YAML-%{version}.tar.gz
BuildArch:      noarch
# Build module
BuildRequires:  coreutils make perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) > 6.75
# Runtime
BuildRequires:  perl(B) perl(B::Deparse) perl(Carp)
BuildRequires:  perl(constant) perl(Exporter) perl(overload)
BuildRequires:  perl(Scalar::Util) perl(strict) perl(warnings)
# for Test Suite
# Avoid circular build deps Test::YAML → Test::Base → YAML when bootstrapping
%if %{with perl_YAML_enables_test} && !%{defined perl_bootstrap}
BuildRequires:  perl(Config) perl(Data::Dumper) perl(Encode)
BuildRequires:  perl(File::Find) perl(IO::File) perl(IO::Pipe)
BuildRequires:  perl(lib) perl(Test::Deep) perl(utf8)
BuildRequires:  perl(Test::More) >= 0.88 perl(Test::YAML) >= 1.05
%if %{with perl_YAML_enables_extra_test}
# for Author Tests
BuildRequires:  perl(Test::Pod) >= 1.41
%endif
%endif
# Runtime
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(B::Deparse) perl(Carp)
Requires:       %{name}-help = %{version}-%{release}
%description
The YAML.pm module implements a YAML Loader and Dumper based
on the YAML 1.0 specification. http://www.yaml.org/spec/
YAML is a generic data serialization language that is optimized
for human readability.It can be used to express the data structures
of most modern programming languages. (Including Perl!!!)
For information on the YAML syntax, please refer to the YAML specification.

%package_help

%prep
%autosetup -n YAML-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install

%check
# Avoid circular build deps Test::YAML → Test::Base → YAML when bootstrapping
%if %{with perl_YAML_enables_test} && !%{defined perl_bootstrap}
make test AUTHOR_TESTING=%{with perl_YAML_enables_extra_test}
%endif

%files
%defattr(-,root,root)
%license LICENSE
%dir %{perl_vendorlib}/YAML/
%dir %{perl_vendorlib}/YAML/Dumper/
%dir %{perl_vendorlib}/YAML/Loader/
%doc %{perl_vendorlib}/YAML.pod
%doc %{perl_vendorlib}/YAML/Any.pod
%doc %{perl_vendorlib}/YAML/Dumper.pod
%doc %{perl_vendorlib}/YAML/Dumper/Base.pod
%doc %{perl_vendorlib}/YAML/Error.pod
%doc %{perl_vendorlib}/YAML/Loader.pod
%doc %{perl_vendorlib}/YAML/Loader/Base.pod
%doc %{perl_vendorlib}/YAML/Marshall.pod
%doc %{perl_vendorlib}/YAML/Node.pod
%doc %{perl_vendorlib}/YAML/Tag.pod
%doc %{perl_vendorlib}/YAML/Types.pod
%{perl_vendorlib}/YAML.pm
%{perl_vendorlib}/YAML/Any.pm
%{perl_vendorlib}/YAML/Dumper.pm
%{perl_vendorlib}/YAML/Dumper/Base.pm
%{perl_vendorlib}/YAML/Error.pm
%{perl_vendorlib}/YAML/Loader.pm
%{perl_vendorlib}/YAML/Loader/Base.pm
%{perl_vendorlib}/YAML/Marshall.pm
%{perl_vendorlib}/YAML/Mo.pm
%{perl_vendorlib}/YAML/Node.pm
%{perl_vendorlib}/YAML/Tag.pm
%{perl_vendorlib}/YAML/Types.pm

%files help
%{_mandir}/man3/YAML.3*
%{_mandir}/man3/YAML::Any.3*
%{_mandir}/man3/YAML::Dumper.3*
%{_mandir}/man3/YAML::Dumper::Base.3*
%{_mandir}/man3/YAML::Error.3*
%{_mandir}/man3/YAML::Loader.3*
%{_mandir}/man3/YAML::Loader::Base.3*
%{_mandir}/man3/YAML::Marshall.3*
%{_mandir}/man3/YAML::Node.3*
%{_mandir}/man3/YAML::Tag.3*
%{_mandir}/man3/YAML::Types.3*
%doc Changes CONTRIBUTING README

%changelog
* Fri Nov 06 2020 caodongxia <caodongxia@huawei.com> - 1.26-6
- Add install requires help package into main package 

* Tue Dec 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.26-5
- Package init
